import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

public class HelloServer extends UnicastRemoteObject implements Hello {

	public HelloServer() throws RemoteException
	{
		super();
	}

	public Result getResult() throws RemoteException
	{
		return new ResultImpl("This is the result!");
	}

	public static void main(String args[])
	{
		try {
			// Logging anschalten
			// setLog(System.out);

			// Server-Objekt erzeugen
			HelloServer obj = new HelloServer();

			// Referenz beim Namensdienst registrieren
			Naming.rebind("rmi://localhost/Hello-Server", obj);

			System.out.println("Hello-Server registered");
		}
		catch (Exception e) {
			System.out.println("Error: " + e.getMessage());
			e.printStackTrace();
		}
	}
}
